=== debian/control ===
Source: doris
Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
Uploaders: Antonio Valentino <antonio.valentino@tiscali.it>
Section: contrib/science
Priority: optional
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 12),
               dh-python,
               tcsh | c-shell,
               libepr-api-dev,
               libfftw3-dev,
               liblapack-dev,
               libtriangle-dev,
               python3-all,
               python3-fastkml,
               python3-fiona,
               python3-gdal,
               python3-lxml,
               python3-numpy,
               python3-requests,
               python3-scipy,
               python3-setuptools,
               python3-shapely
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/debian-gis-team/doris
Vcs-Git: https://salsa.debian.org/debian-gis-team/doris.git
Homepage: http://doris.tudelft.nl

Package: doris
Architecture: any
Depends: ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends},
         gawk | mawk,
         gdal-bin,
         python3-h5py,
         python3-lxml,
         python3-numpy,
         tcsh | c-shell
Recommends: gmt,
            gv,
            python3-doris,
            snaphu
Suggests: eog,
          imagemagick
Description: Delft object-oriented radar interferometric software
 DORIS is an Interferometric Synthetic Aperture Radar (InSAR) processor
 developed by the Delft Institute of Earth Observation and Space Systems
 of Delft University of Technology.
 .
 Interferometric products and endproducts such as Digital Elevation
 Models and displacement maps can be generated with this software from
 Single Look Complex data.
 Data from the satellites ERS, ENVISAT (first ENVISAT interferogram,
 DEM, and perspective view, JERS (first JERS interferogram), and
 RADARSAT (first RADARSAT interferogram) can be processed with the
 Doris software.

Package: python3-doris
Section: contrib/python
Architecture: all
Replaces: doris (<< 5.0.3~beta+dfsg-10)
Breaks: doris (<< 5.0.3~beta+dfsg-10)
Depends: ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends},
         doris,
         python3-fastkml,
         python3-fiona,
         python3-gdal,
         python3-lxml,
         python3-numpy,
         python3-requests,
         python3-scipy,
         python3-shapely,
         gdal-bin
Recommends: snaphu
Description: Delft object-oriented radar interferometric software - Python tools
 DORIS is an Interferometric Synthetic Aperture Radar (InSAR) processor
 developed by the Delft Institute of Earth Observation and Space Systems
 of Delft University of Technology.
 .
 Interferometric products and endproducts such as Digital Elevation
 Models and displacement maps can be generated with this software from
 Single Look Complex data.
 Data from the satellites ERS, ENVISAT (first ENVISAT interferogram,
 DEM, and perspective view, JERS (first JERS interferogram), and
 RADARSAT (first RADARSAT interferogram) can be processed with the
 Doris software.
 .
 This package contains support modules written in Python.
