=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# @NOTE: tools directly called by doris are:
#           helpdoris
#           plotcpm
#           plotoffsets
#           cpxfiddle
#           envisat_dump_data
#           envisat_dump_header
#           envisat_dump_header2doris.csh
#           tsx_dump_data.py
#           tsx_dump_header2doris.py
#           csk_dump_data.py
#           csk_dump_header2doris.py
#           rs2_dump_data.py
#           rs2_dump_header2doris.py


export DEB_BUILD_MAINT_OPTIONS=hardening=+all,+bindnow
CXXFLAGS := $(shell dpkg-buildflags --get CXXFLAGS)
CFLAGS := $(shell dpkg-buildflags --get CFLAGS)
LDFLAGS := $(shell dpkg-buildflags --get LDFLAGS)
COMMON_FLAGS = -O3 -D_LARGEFILE64_SOURCE -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE
EXTRA_FLAGS = -Wno-deprecated -D__USE_FFTW_LIBRARY__ -D__USE_LAPACK_LIBRARY__ -D__X86PROCESSOR__


%:
	dh $@ --with python3

override_dh_auto_configure:
	if [ ! -f doris_core/Makefile.bak ]; then \
		mv doris_core/Makefile doris_core/Makefile.bak; \
	fi
	rm -f doris_core/Makefile
	doris_core/configure < /dev/null
	mv Makefile doris_core
	dh_auto_configure --buildsystem=pybuild

override_dh_auto_build:
	dh_auto_build --buildsystem=makefile --sourcedirectory=sar_tools -- CFLAGS="$(CXXFLAGS) $(COMMON_FLAGS)" LDFLAGS="$(LDFLAGS)"
	dh_auto_build --buildsystem=makefile --sourcedirectory=envisat_tools -- CFLAGS="$(CFLAGS) $(COMMON_FLAGS)" LDFLAGS="$(LDFLAGS)"
	dh_auto_build --buildsystem=makefile --sourcedirectory=doris_core -- CFLAGS="$(CXXFLAGS) $(COMMON_FLAGS) $(EXTRA_FLAGS)" LDFLAGS="$(LDFLAGS)"
	dh_auto_build --buildsystem=pybuild

override_dh_auto_install:
	dh_auto_install --buildsystem=pybuild -p python3-doris

	install -D --mode=0755 debian/doris.sh debian/doris/usr/bin/doris

	dh_auto_install --sourcedirectory=sar_tools -- INSTALL_DIR=../debian/doris/usr/lib/doris
	install -D --mode=0644 sar_tools/README \
		debian/doris/usr/share/doc/doris/README_sar_tools.txt

	dh_auto_install --sourcedirectory=envisat_tools -- INSTALL_DIR=../debian/doris/usr/lib/doris
	rm -f debian/doris/usr/lib/doris/*.csh
	install -D --mode=0755 envisat_tools/envisat_dump_header2doris.csh \
		debian/doris/usr/share/doris/envisat_dump_header2doris.csh
	install -D --mode=0644 envisat_tools/README \
		debian/doris/usr/share/doc/doris/README_envisat_tools.txt

	#dh_auto_install --sourcedirectory=doris_core -- INSTALLDIR=../debian/doris/usr/lib/doris
	install -D --mode=0755 doris_core/doris debian/doris/usr/lib/doris

	cp bin/* debian/doris/usr/share/doris
	chmod 0755 debian/doris/usr/share/doris/*
	rm -f debian/doris/usr/share/doris/README*
	install -D --mode=0644 bin/README \
		debian/doris/usr/share/doc/doris/README_bin.txt
	install -D --mode=0644 bin/README_CSK.txt \
		debian/doris/usr/share/doc/doris/README_CSK.txt

	dh_auto_install --buildsystem=makefile

	rm -f debian/doris/usr/lib/python*/dist-packages/doris_stack/functions/create_image.py

override_dh_auto_clean:
	$(MAKE) -C sar_tools cleaner
	#$(MAKE) -C envisat_tools cleaner
	rm -f envisat_tools/*.o \
	      envisat_tools/envisat_dump_header \
	      envisat_tools/envisat_dump_data \
	      envisat_tools/envisat_dump_HH \
	      envisat_tools/envisat_dump_VV
	rm -rf doris.egg-info
	if [ -f doris_core/Makefile ]; then \
		$(MAKE) -C doris_core cleaner;\
		if [ -f doris_core/Makefile.bak ]; then \
			rm -f doris_core/Makefile;\
			mv doris_core/Makefile.bak doris_core/Makefile;\
		fi \
	fi
	dh_auto_clean --buildsystem=makefile
	dh_auto_clean --buildsystem=pybuild

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

override_dh_auto_test:
	dh_auto_test --buildsystem=pybuild

.PHONY: override_dh_auto_configure override_dh_auto_build \
        override_dh_auto_install override_dh_auto_clean \
        override_dh_auto_test
