=== debian/tests/control ===
Test-Command: doris -h > /dev/null 2>&1
Depends: @
Restrictions: superficial
