=== debian/watch ===
version=4
opts=\
dversionmangle=s/\+(debian|dfsg|ds|deb)\d*$//,\
uversionmangle=s/(\d)\.([Bb]eta|[>a]lpha|[Dd]ev)/$1~\L$2/,\
filenamemangle=s/(?:.*?)?(?:rel|v)?[\-\_]?(\d\S+)\.(tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))/doris-v\L$1.$2/,\
repacksuffix=+dfsg \
https://github.com/TUDelftGeodesy/Doris/releases \
(?:.*?/archive/)?(?:rel|v|doris)?[\-\_]?(\d[\d\.]+)(\S*)\.(?:tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
